Subject: Re: [IPP] Minutes posted from this week's IPP F2F sessions

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Mon, 1 Nov 2021 18:51:02 +0000

Hi Mike,

Working on an updated draft of IPP Driverless Printing Extensions v2.0. In the minutes, it says:

⁃ job-id's can be reused
⁃ Note: require unique/preserving job-id values across power cycles for IPP Everywhere 2.0

Should we not be requiring unique/preserving job-id values across power cycles in nodriver too?

Smith

/**
    Smith Kennedy
    HP Inc.
*/

> On May 8, 2021, at 4:39 AM, Michael Sweet via ipp <[email-masked]> wrote:
> 
> Sorry, the correct link is:
> 
> https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-f2f-minutes-20210505.pdf <https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-f2f-minutes-20210505.pdf>
> 
> > On May 7, 2021, at 4:17 PM, Michael Sweet <[email-masked]> wrote:
> >
> > All,
> >
> > I have posted the minutes from this week's PWG Virtual Face-to-Face meetings to:
> >
> > https://ftp.pwg.org/pub/pwg/ipp/minutes-ippv2-f2f-minutes-20210505.pdf <https://ftp.pwg.org/pub/pwg/ipp/minutes-ippv2-f2f-minutes-20210505.pdf>
> >
> > Our next conference call is on May 20, 2021 at 3pm EDT.
> >
> > ________________________
> > Michael Sweet
> >
> >
> >
> 
> ________________________
> Michael Sweet
> 
> 
> 
> _______________________________________________
> ipp mailing list
> [email-masked]
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Mon, 1 Nov 2021 15:05:36 -0400

Smith,

I think NODRIVER isn't the place for requiring that.  STD92 already says the job ID is unique:

   o  Each Job is identified by a numeric identifier, which is a 32-bit
      positive integer.  The Job's "job-id" attribute contains the
      Job ID.  The Job ID is only unique within the context of the
      Printer that created the Job.

but doesn't specify what happens when the power is turned off.  IPP Everywhere currently says:

5.7.1 job-id (integer)

The REQUIRED "job-id" Job Description attribute contains the ID of the Job. In order to support reliable job submission and management, Printers MUST NOT reuse "job-id" values since the last power cycle of the Printer and SHOULD NOT reuse "job-id" values for the life of the Printer as described in section 3.1.2.3.9 of the Internet Printing Protocol/1.1: Implementer's Guide [RFC3196].

and the RFC 3196 (IIG 1.0) reference is:

   3.1.2.3.9   Destroying the Job after completion

   Once the Job moves to the 'completed', 'aborted', or 'canceled'
   state, it is an implementation decision as to when to destroy the Job
   object and release all associated resources.  Once the Job has been
   destroyed, the Printer would return either the "client-error-not-
   found" or "client-error-gone" status codes for operations directed at
   that Job.

   Note:  the Printer object SHOULD NOT re-use a "job-uri" or "job-id"
   value for a sufficiently long time after a job has been destroyed, so
   that stale references kept by clients are less likely to access the
   wrong (newer) job.

So what we're talking about here is to make the job ID reuse a MUST NOT across power cycles in IPP Everywhere...

> On Nov 1, 2021, at 2:51 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> 
> Hi Mike,
> 
>> https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-f2f-minutes-20210505.pdf
>> 
>> > https://ftp.pwg.org/pub/pwg/ipp/minutes-ippv2-f2f-minutes-20210505.pdf
>> > 

________________________
Michael Sweet